Create containers
curl --request POST \
--url https://console.gmicloud.ai/api/v1/containers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 2,
"idc": "<string>",
"product": "<string>",
"name": "LLM training",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"args": [],
"command": "",
"envs": [
{
"name": "access_token",
"value": "kalsk113=="
}
],
"ports": [],
"sshKeyIdList": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://console.gmicloud.ai/api/v1/containers"
payload = {
"count": 2,
"idc": "<string>",
"product": "<string>",
"name": "LLM training",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"args": [],
"command": "",
"envs": [
{
"name": "access_token",
"value": "kalsk113=="
}
],
"ports": [],
"sshKeyIdList": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 2,
idc: '<string>',
product: '<string>',
name: 'LLM training',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
args: [],
command: '',
envs: [{name: 'access_token', value: 'kalsk113=='}],
ports: [],
sshKeyIdList: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://console.gmicloud.ai/api/v1/containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
containers
Create containers
create Container under default namespace
POST
/
v1
/
containers
Create containers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
x >= 1Maximum string length:
50Pattern:
^[a-zA-Z0-9._-]+$Maximum string length:
256Pattern:
^[a-zA-Z0-9._-]+$Maximum string length:
255Pattern:
^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$Example:
"LLM training"
template id
Optional container command arguments
Optional container start command
Show child attributes
Show child attributes
Example:
[
{
"name": "access_token",
"value": "kalsk113=="
}
]
Show child attributes
Show child attributes
The list of SSH key IDs to use in the container
Response
successful
⌘I